png++: png::detail::packed_pixel_proxy< pixel > Class Template Reference

png++ 0.2.10

Public Types | Public Member Functions | List of all members
png::detail::packed_pixel_proxy< pixel > Class Template Reference

`#include <pixel_buffer.hpp>`

Inheritance diagram for png::detail::packed_pixel_proxy< pixel >:

## Public Types
typedef basic_packed_pixel_proxy< pixel, byte & > | basic_proxy

## Public Member Functions
| packed_pixel_proxy (byte &ref, size_t index)
| packed_pixel_proxy (packed_pixel_proxy const &other)
packed_pixel_proxy & | operator= (packed_pixel_proxy const &other)
template<typename reference>
packed_pixel_proxy & | operator= (basic_packed_pixel_proxy< pixel, reference > const &other)
packed_pixel_proxy & | operator= (pixel p)
Public Member Functions inherited from png::detail::basic_packed_pixel_proxy< pixel, byte & >
| basic_packed_pixel_proxy (byte &ref)
| basic_packed_pixel_proxy (byte &ref, size_t index)
| operator pixel () const

## Additional Inherited Members
Static Protected Member Functions inherited from png::detail::basic_packed_pixel_proxy< pixel, byte & >
static size_t | get_shift (size_t index)
static size_t | get_pixels_per_byte ()
Protected Attributes inherited from png::detail::basic_packed_pixel_proxy< pixel, byte & >
byte & | m_ref
size_t | m_shift

## Member Typedef Documentation

## ◆ basic_proxy

template<class pixel>

typedef basic_packed_pixel_proxy< pixel, byte& > png::detail::packed_pixel_proxy< pixel >::basic_proxy

## Constructor & Destructor Documentation

## ◆ packed_pixel_proxy() [1/2]

template<class pixel>

png::detail::packed_pixel_proxy< pixel >::packed_pixel_proxy | ( | byte & | ref,
|  | size_t | index )
| inline

Referenced by operator=(), operator=(), and packed_pixel_proxy().

## ◆ packed_pixel_proxy() [2/2]

template<class pixel>

png::detail::packed_pixel_proxy< pixel >::packed_pixel_proxy | ( | packed_pixel_proxy< pixel > const & | other | ) |
| inline

References png::detail::basic_packed_pixel_proxy< pixel, byte & >::m_ref, png::detail::basic_packed_pixel_proxy< pixel, reference >::m_shift, png::detail::basic_packed_pixel_proxy< pixel, byte & >::m_shift, and packed_pixel_proxy().

## Member Function Documentation

## ◆ operator=() [1/3]

template<class pixel>

packed_pixel_proxy & png::detail::packed_pixel_proxy< pixel >::operator= | ( | packed_pixel_proxy< pixel > const & | other | ) |
| inline

References packed_pixel_proxy().

## ◆ operator=() [2/3]

template<class pixel>
template<typename reference>

packed_pixel_proxy & png::detail::packed_pixel_proxy< pixel >::operator= | ( | basic_packed_pixel_proxy< pixel, reference > const & | other | ) |
| inline

References png::detail::basic_packed_pixel_proxy< pixel, byte & >::basic_packed_pixel_proxy().

## ◆ operator=() [3/3]

template<class pixel>

packed_pixel_proxy & png::detail::packed_pixel_proxy< pixel >::operator= | ( | pixel | p | ) |
| inline

References png::detail::basic_packed_pixel_proxy< pixel, byte & >::m_ref, png::detail::basic_packed_pixel_proxy< pixel, byte & >::m_shift, and packed_pixel_proxy().

The documentation for this class was generated from the following file:

- pixel_buffer.hpp